using System;
using PSO2SERVER.Models;

namespace PSO2SERVER.Protocol.Packets
{
    public class SetMesetaPacket : Packet
    {
        public Int64 NewAmount = 0;

        #region implemented abstract members of Packet

        public override byte[] Build()
        {
            var writer = new PacketWriter();

            writer.Write(NewAmount);

            return writer.ToArray();
        }

        public override PacketHeader GetHeader()
        {
            return new PacketHeader(0x0F, 0x14, PacketFlags.None);
        }

        #endregion
    }
}